oracle.xml.pipeline.controller

## Interface PipelineConstants

All Known Implementing Classes:
  CompressReaderProcess, CompressWriterProcess, DOMParserProcess, Input, orapipe, Output, PipeDocElement, PipelineDoc, PipelineProcessor, Process, SAXParserProcess, XPathProcess, XSDSchemaBuilder, XSDValProcess, XSLProcess, XSLStylesheetProcess

    public interface PipelineConstants

This interface contains all the static constants for pipeline.controller. All classes should implement this interface.

### Field Summary

Fields
`static int` `COMPSTREAMRESULT`
`static int` `COMPSTREAMSOURCE`
`static int` `DOCFRAG`
`static int` `DOCUMENT`
`static int` `DOMRESULT`
`static int` `DOMSOURCE`
`static int` `ELEMENT`
`static short` `PROCESS_WAITING`
`static int` `SAXRESULT`
`static int` `SAXSOURCE`
`static int` `STREAMRESULT`
`static int` `STREAMSOURCE`

### Field Detail

#### PROCESS_WAITING

    static final short PROCESS_WAITING

See Also:
  Constant Field Values

#### DOMSOURCE

    static final int DOMSOURCE

See Also:
  Constant Field Values

#### SAXSOURCE

    static final int SAXSOURCE

See Also:
  Constant Field Values

#### STREAMSOURCE

    static final int STREAMSOURCE

See Also:
  Constant Field Values

#### COMPSTREAMSOURCE

    static final int COMPSTREAMSOURCE

See Also:
  Constant Field Values

#### DOMRESULT

    static final int DOMRESULT

See Also:
  Constant Field Values

#### SAXRESULT

    static final int SAXRESULT

See Also:
  Constant Field Values

#### STREAMRESULT

    static final int STREAMRESULT

See Also:
  Constant Field Values

#### COMPSTREAMRESULT

    static final int COMPSTREAMRESULT

See Also:
  Constant Field Values

#### DOCUMENT

    static final int DOCUMENT

See Also:
  Constant Field Values

#### DOCFRAG

    static final int DOCFRAG

See Also:
  Constant Field Values

#### ELEMENT

    static final int ELEMENT

See Also:
  Constant Field Values

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.